#! /bin/sh

DUMP_RETVAL="$1"

EXECUTABLES_PATH="/usr/libexec/kdump-post-wrapper/executables"

if [ ! -d "$EXECUTABLES_PATH" ] ; then
    exit 1
fi

for KDUMP_POST in $(ls "$EXECUTABLES_PATH" | grep -E "^[0-9][0-9]") ; do
    if [ -x "$EXECUTABLES_PATH/$KDUMP_POST" ] ; then
	"$EXECUTABLES_PATH/$KDUMP_POST" "$DUMP_RETVAL"
    fi
done

exit
