#! /bin/bash

IPMITOOL="/usr/bin/ipmitool"

NETFN="0x2e"
CMD_SET_HOST_SYSTEM_STATUS="0xf5"

SYSTEM_INDEX="$(< /var/local/FJSVossn/system_index)"

REQUEST_DATA_DUMPING="0x80 0x28 0x00 0x35 0x01 0x00 $SYSTEM_INDEX 0x0b"
REQUEST_DATA_HALT="0x80 0x28 0x00 0x35 0x01 0x00 $SYSTEM_INDEX 0x0c"

function set_host_system_status_dumping() {
    $IPMITOOL raw $NETFN $CMD_SET_HOST_SYSTEM_STATUS $REQUEST_DATA_DUMPING
}

function set_host_system_status_halt() {
    $IPMITOOL raw $NETFN $CMD_SET_HOST_SYSTEM_STATUS $REQUEST_DATA_HALT
}
